Loading...
Searching...
No Matches
novas_frame Struct Reference
Observing frame

A set of parameters that uniquely define the place and time of observation. More...

`#include <novas.h>`

## Public Attributes

enum novas_accuracy | accuracy
| NOVAS_FULL_ACCURACY or NOVAS_REDUCED_ACCURACY.
double | beta
| Observer relativistic pseed, β = v/_c_ rel SSB.
double | deps0
| [rad] Modeled Earth orientation ε (not including polar wobble)
double | dpsi0
| [rad] Modeled Earth orientation ψ (not including polar wobble)
double | dx
| [mas] Polar wobble parameter dx.
double | dy
| [mas] Polar wobble parameter dy.
double | earth_pos [3]
| [AU] Earth's geometric position, rel SSB. (ICRS)
double | earth_vel [3]
| [AU/day] Earth's velocity, rel SSB. (ICRS)
double | ee
| [rad] Equation of the equinoxes
double | era
| [deg] Earth Rotation Angle (ERA);
double | gamma
| Observer Lorentz factor Γ rel SSB.
struct novas_matrix | gcrs_to_cirs
| GCRS to CIRS conversion matrix.
double | gst
| [h] Greenwich (Apparent) Sidereal Time (GST / GAST)
struct novas_matrix | icrs_to_j2000
| ICRS to J2000 matrix.
double | mobl
| [rad] Mean obliquity
struct novas_matrix | nutation
| nutation matrix (IAU 2006 model)
double | obs_pos [3]
| [AU] Observer position rel. to barycenter (ICRS)
double | obs_vel [3]
| [AU/day] Observer movement rel. to barycenter (ICRS)
struct novas_observer | observer
| The observer location, or NULL for barycentric.
struct novas_planet_bundle | planets
| Planet positions and velocities (ICRS).
struct novas_matrix | precession
| precession matrix
uint64_t | state
| An internal state for checking validity.
double | sun_pos [3]
| [AU] Sun's geometric position, rel SSB. (ICRS)
double | sun_vel [3]
| [AU/day] Sun's velocity, rel SSB. (ICRS)
struct novas_timespec | time
| The instant of time for which this observing frame is valid.
double | tobl
| [rad] True obliquity
double | v_obs
| [AU/day] Magnitude of observer motion rel. to barycenter

## Detailed Description

A set of parameters that uniquely define the place and time of observation.

The user may initialize the frame with novas_make_frame(). Once the observer frame is set up, it can be used repeatedly to perform efficient calculations of multiple objects in the coordinate system of choice, much faster than what place() can do. Frames also allow for transforming coordinates calculated for one coordinate syste, into another coordinate system with little effort.

You should never set or change fields in this structure manually. Instead the structure should always be initialized by an appropriate call to novas_make_frame(). After that you may change the observer location, if need be, with novas_change_observer().

The structure may expand with additional field in the future. Thus neither its size nor its particular layout should be assumed fixed over SuperNOVAS releases.

Since
  1.1

See also
  novas_make_frame(), novas_change_observer(), novas_make_transform(), NOVAS_FRAME_INIT
  novas_sky_pos(), novas_geom_posvel(), novas_geom_to_app(), novas_app_to_geom(), novas_app_to_hor(), novas_hor_to_app(), novas_rises_above(), novas_sets_below(), novas_transit_time()

## Member Data Documentation

## accuracy

enum novas_accuracy novas_frame::accuracy

NOVAS_FULL_ACCURACY or NOVAS_REDUCED_ACCURACY.

Referenced by novas_equals_frame(), and novas_make_frame().

## beta

double novas_frame::beta

Observer relativistic pseed, β = v/_c_ rel SSB.

## deps0

double novas_frame::deps0

[rad] Modeled Earth orientation ε (not including polar wobble)

Referenced by novas_make_frame().

## dpsi0

double novas_frame::dpsi0

[rad] Modeled Earth orientation ψ (not including polar wobble)

Referenced by novas_make_frame().

## dx

double novas_frame::dx

[mas] Polar wobble parameter dx.

Referenced by novas_equals_frame(), and novas_make_frame().

## dy

double novas_frame::dy

[mas] Polar wobble parameter dy.

Referenced by novas_equals_frame(), and novas_make_frame().

## earth_pos

double novas_frame::earth_pos[3]

[AU] Earth's geometric position, rel SSB. (ICRS)

Referenced by novas_make_frame().

## earth_vel

double novas_frame::earth_vel[3]

[AU/day] Earth's velocity, rel SSB. (ICRS)

Referenced by novas_make_frame().

## ee

double novas_frame::ee

[rad] Equation of the equinoxes

Referenced by novas_make_frame().

## era

double novas_frame::era

[deg] Earth Rotation Angle (ERA);

Referenced by novas_make_frame(), and novas_make_transform().

## gamma

double novas_frame::gamma

Observer Lorentz factor Γ rel SSB.

## gcrs_to_cirs

struct novas_matrix novas_frame::gcrs_to_cirs

GCRS to CIRS conversion matrix.

Referenced by novas_make_transform().

## gst

double novas_frame::gst

[h] Greenwich (Apparent) Sidereal Time (GST / GAST)

Referenced by novas_make_frame().

## icrs_to_j2000

struct novas_matrix novas_frame::icrs_to_j2000

ICRS to J2000 matrix.

Referenced by novas_make_transform().

## mobl

double novas_frame::mobl

[rad] Mean obliquity

Referenced by novas_make_frame().

## nutation

struct novas_matrix novas_frame::nutation

nutation matrix (IAU 2006 model)

Referenced by novas_make_transform().

## obs_pos

double novas_frame::obs_pos[3]

[AU] Observer position rel. to barycenter (ICRS)

Referenced by novas_clock_skew().

## obs_vel

double novas_frame::obs_vel[3]

[AU/day] Observer movement rel. to barycenter (ICRS)

Referenced by novas_clock_skew().

## observer

struct novas_observer novas_frame::observer

The observer location, or NULL for barycentric.

Referenced by novas_equals_frame().

## planets

struct novas_planet_bundle novas_frame::planets

Planet positions and velocities (ICRS).

Referenced by novas_equals_frame().

## precession

struct novas_matrix novas_frame::precession

precession matrix

Referenced by novas_make_transform().

## state

uint64_t novas_frame::state

An internal state for checking validity.

Referenced by novas_make_frame().

## sun_pos

double novas_frame::sun_pos[3]

[AU] Sun's geometric position, rel SSB. (ICRS)

Referenced by novas_make_frame().

## sun_vel

double novas_frame::sun_vel[3]

[AU/day] Sun's velocity, rel SSB. (ICRS)

Referenced by novas_make_frame().

## time

struct novas_timespec novas_frame::time

The instant of time for which this observing frame is valid.

Referenced by novas_clock_skew(), novas_equals_frame(), and novas_make_frame().

## tobl

double novas_frame::tobl

[rad] True obliquity

Referenced by novas_make_frame().

## v_obs

double novas_frame::v_obs

[AU/day] Magnitude of observer motion rel. to barycenter